Uploaded image for project: 'Maven Enforcer Plugin'
  1. Maven Enforcer Plugin
  2. MENFORCER-270

option to forbid plugin snapshot versions only when releasing

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: 1.4.1
    • Fix Version/s: None
    • Component/s: Standard Rules
    • Labels:
      None

      Description

      Basically, it would be nice if plugin versions would be treated similar to regular dependencies, ie. have a standard rule that only complains about snapshot plugin versions when trying to release the project. That's especially helpful when having maven plugin sub-modules as part of a larger multi-module project.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              gruust Gruust
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: